com.tibbo.aggregate.common.action

## Class EditTemplateActionDefinition

- java.lang.Object
- - com.tibbo.aggregate.common.context.AbstractEntityDefinition
  - - com.tibbo.aggregate.common.action.BasicActionDefinition
    - - com.tibbo.aggregate.common.action.ServerActionDefinition
      - - com.tibbo.aggregate.common.action.EditTemplateActionDefinition

- All Implemented Interfaces:
    ActionCommandList, ActionDefinition, EntityDefinition, java.lang.Comparable

      public class EditTemplateActionDefinition
      extends ServerActionDefinition

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EditTemplateActionDefinition.LogoutEventListener`

  - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.action.BasicActionDefinition

      `concurrent`

    - ### Fields inherited from class com.tibbo.aggregate.common.context.AbstractEntityDefinition

      `immutable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditTemplateActionDefinition(java.lang.String name, java.lang.String description, java.lang.Class actionClass, java.util.concurrent.locks.ReentrantLock lock)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.concurrent.locks.ReentrantLock` | `getExecutionLock()` Returns the execution lock

    - ### Methods inherited from class com.tibbo.aggregate.common.action.ServerActionDefinition

      `compareTo, getIndex, isFunctionBased, isGrouped, isHeadless, setAcceptedContextTypes, setHeadless, setIndex, toString`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.BasicActionDefinition

      `addDropSource, addPropertyChangeListener, getAccelerator, getCommands, getDropSources, getEntityType, getExecutionGroup, getPermissions, instantiate, isConcurrent, isDefault, isEnabled, isHidden, registerCommand, registerCommands, removePropertyChangeListener, setAccelerator, setConcurrent, setDefault, setDescription, setDropSources, setEnabled, setExecutionGroup, setExecutionGroup, setHelp, setHidden, setIconId, setName, setPermissions, unregisterCommand`

    - ### Methods inherited from class com.tibbo.aggregate.common.context.AbstractEntityDefinition

      `getDescription, getGroup, getHelp, getIconId, getName, getOwner, isImmutable, setGroup, setImmutable, setIndex, setOwner, toDetailedString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.context.EntityDefinition

      `getDescription, getGroup, getHelp, getIconId, getName, getOwner, toDetailedString`

- - ### Constructor Detail

    - #### EditTemplateActionDefinition

          public EditTemplateActionDefinition(java.lang.String name,
                                              java.lang.String description,
                                              java.lang.Class actionClass,
                                              java.util.concurrent.locks.ReentrantLock lock)

  - ### Method Detail

    - #### getExecutionLock

          public java.util.concurrent.locks.ReentrantLock getExecutionLock()

      Description copied from interface: `ActionDefinition`
      Returns the execution lock
      Specified by:
        `getExecutionLock` in interface `ActionDefinition`
      Overrides:
        `getExecutionLock` in class `BasicActionDefinition`